=encoding utf8

=head1 NAME

Mail::Message::TransferEnc::Binary - encode/decode binary message bodies

=head1 INHERITANCE

 Mail::Message::TransferEnc::Binary
   is a Mail::Message::TransferEnc
   is a Mail::Reporter

=head1 SYNOPSIS

  my Mail::Message $msg = ...;
  my $decoded = $msg->decoded;
  my $encoded = $msg->encode(transfer => 'binary');

=head1 DESCRIPTION

Encode or decode message bodies for binary transfer encoding.  This is
totally no encoding.

Extends L<"DESCRIPTION" in Mail::Message::TransferEnc|Mail::Message::TransferEnc/"DESCRIPTION">.

=head1 METHODS

Extends L<"METHODS" in Mail::Message::TransferEnc|Mail::Message::TransferEnc/"METHODS">.

=head1 DIAGNOSTICS

=over 4

=item Error: class $package does not implement method $method.

Fatal error: the specific C<$package> (or one of its superclasses) does not
implement this method where it should. This message means that some other
related classes do implement this method however the class at hand does
not.  Probably you should investigate this and probably inform the author
of the package.
Cast by C<notImplemented()>

=item Error: decoder for transfer encoding $type does not work: $@

Compiling the required transfer encoding resulted in errors, which means
that the decoder can not be used.
Cast by C<create()>

=item Error: no decoder for transfer encoding $type.

A decoder for the specified type of transfer encoding is not implemented.
Cast by C<create()>

=back

=head1 SEE ALSO

This module is part of Mail-Message version 4.03,
built on January 26, 2026. Website: F<http://perl.overmeer.net/CPAN/>

=head1 LICENSE

For contributors see file ChangeLog.

This software is copyright (c) 2001-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

